QGIS 2.18.22 crashs with openSUSE Leap 42.3 when loading projected raster file

2018-09-09 07:12 PM - Mario Hafer

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.22 Regression?: No

Operating System: openSUSE Leap 42.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27624

Description

When I load any projected raster (GeoTIFF, NetCDF) QGIS crashs immediately.

Also the long term supported version 2.14 "Essen" has the same problem.

It seems to be a special problem with the OS openSUSE Leap 42.3. I have the same problem with that system at work and at home.

At the computer at work i can load at least such a raster file when i habe automatic reprojection disabled.

Strangely i couldn't found any description of that problem from other users.

After the crash, QGIS shows the affected C++-File:

src/core/qgscoordinatereferencesystem.cpp: 654: (createFromProj4) [0ms] globbing search for srsid from this proj string

I have attached the complete output.

I have the two following libproj-packages from distribution installed:

- libproj9

- libproj13

Output from QGIS about installed versions:

QGIS-Version: 2.18.22

compiled Qt: 4.8.7

running Qt: 4.8.7

compiled with GDAL/OGR: 2.3.1

running with GDAL/OGR: 2.3.1

compiled with GEOS: 3.6.2-CAPI-1.10.2

running with GEOS: 3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL-Client-Version: 9.6.9

SpatiaLite-Version: 4.3.0a

QWT-Version: 5.2.3

PROJ.4-Version: 492

QScintilla2-Version: 2.9

History

#1 - 2018-09-10 10:33 AM - Giovanni Manghi

- Category changed from C++ plugins/Georeferencer to Build/Install

#2 - 2018-09-10 07:01 PM - Mario Hafer

- File QGIS 2.18 Las Palmas Crash when loading projected raster.txt added

When I load any projected raster (GeoTIFF, NetCDF) QGIS crashs immediately.

I believe, that any QGIS-Version with that configuration has the same problem (tested also with 2.14 LTS "Essen").
It seems there is a special problem with the OS openSUSE Leap 42.3. I have the same problem with that system at work and at home.

At the computer at work i can load at least such a raster file when i have automatic reprojection disabled.

After the crash, QGIS points me to the affected C++-File:

src/core/qgscoordinatereferencesystem.cpp: 654: (createFromProj4) [0ms] globbing search for srsid from this proj string

I have attached the complete output.

I have the two following libproj-packages from distribution installed:

    -  libproj9

    -  libproj13

On Leap 42.2, where I have about the same configuration, everything is fine. I believe, i have

    -  libproj12

installed there.

I have nothing compiled by myself. Every software package was installed by system package tool ("zypper").

Strangely i couldn't found any description of that problem from other users.

Output from QGIS about installed versions:

QGIS-Version: 2.18.22

compiled Qt: 4.8.7

running Qt: 4.8.7

compiled with GDAL/OGR: 2.3.1

running with GDAL/OGR: 2.3.1

compiled with GEOS: 3.6.2-CAPI-1.10.2

running with GEOS: 3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL-Client-Version: 9.6.9

SpatiaLite-Version: 4.3.0a

QWT-Version: 5.2.3

PROJ.4-Version: 492

QScintilla2-Version: 2.9

#3 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-22 09:34 PM - Mario Hafer

Hello,

I'm using now QGIS 3.4 Madeira with openSUSE 15.0

and I don't have any problems anymore.

#5 - 2019-01-22 10:05 PM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Files

QGIS 2.18 Las Palmas Crash when loading projected raster.txt 12.7 KB 2018-09-09 Mario Hafer

QGIS 2.18 Las Palmas Crash when loading projected raster.txt 12.7 KB 2018-09-10 Mario Hafer
